#!/bin/sh

mountpoint="/media/video"	### var: mountpoint
mountoptions="ro"		### var: mountoptions
device="sda1"			### var: mount device
player="randomvideo.sh"		### var: player process

if [ ! -d "$mountpoint" ]; then
	sudo mkdir $mountpoint
fi

while true; do
	
	dev_plug_state="$(lsblk | grep $device)"
	dev_mount_state="$(mount | grep $device)"

	if [ ! -z "$dev_plug_state" ] && [ -z "$dev_mount_state" ]; then
		echo "Mount /dev/$device on $mountpoint with options $mountoptions"
		sudo mount /dev/$device $mountpoint -o $mountoptions
		echo "Done!"

	elif [ ! -z "$dev_plug_state" ] && [ ! -z "$dev_mount_state" ]; then
		echo "/dev/$device is already mounted on $mountpoint"

	elif [ -z "$dev_plug_state" ] && [ -z "$dev_mount_state" ]; then
		echo "/dev/$device not plugged in and is not mounted!"

	elif [ -z "$dev_plug_state" ] && [ ! -z "$dev_mount_state" ]; then
		echo "/dev/$device is not plugged in and is mounted on $mountpoint"
		
		playerstat="$(pgrep $player)"

		if [ ! -z "$playerstat" ]; then
			echo "Terminating $player"
			pkill $player
			echo "Done!"
		fi

		echo "Umounting $mountpoint"
		sudo umount $mountpoint
		echo "Done!"

	fi

	sleep 1
done
